{
  pkgs,
  modulesPath,
  hostname,
  lib,
  config,
  ...
}:
{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
    ../../modules/direnv.nix
    ../../modules/fonts.nix
    ../../modules/motd.nix
    ../../modules/nh.nix
    ../../modules/nix.nix
    ../../modules/nixos-update.nix
    ../../modules/sops.nix
    ../../modules/ssh.nix
    ../../modules/remote-build.nix
    ../../modules/security.nix
    ../../modules/tmux.nix
    ../../services
  ];

  boot.kernelPackages = pkgs.linuxPackages_latest;

  system.stateVersion = "25.11";
  environment.systemPackages = with pkgs; [
    atool
    curl
    cmake
    dig
    eza
    fastfetch
    git
    ripgrep
    bat
    rmtrash
  ];

  i18n = {
    defaultLocale = "en_US.UTF-8";
    extraLocaleSettings = {
      LC_ADDRESS = "en_US.UTF-8";
      LC_IDENTIFICATION = "en_US.UTF-8";
      LC_MEASUREMENT = "en_US.UTF-8";
      LC_MONETARY = "en_US.UTF-8";
      LC_NAME = "en_US.UTF-8";
      LC_NUMERIC = "en_US.UTF-8";
      LC_PAPER = "en_US.UTF-8";
      LC_TELEPHONE = "en_US.UTF-8";
      LC_TIME = "en_US.UTF-8";
    };
  };

  console = {
    font = "cyr-sun16";
    keyMap = "ruwin_alt_sh-UTF-8";
  };

  programs.nix-ld = {
    enable = true;
    libraries = [ ];
  };

  services.xserver.xkb = {
    layout = "us";
    variant = "";
  };

  time.timeZone = lib.mkDefault "Europe/Moscow";

  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
